Cantera 2.6.0

Variables
Heptane.cpp File Reference

representation of substance Heptane. More...

`#include "Heptane.h"`
`#include "cantera/base/stringUtils.h"`
Include dependency graph for Heptane.cpp:

Go to the source code of this file.

## Variables
static const double | Tmn = 182.56
static const double | Tmx = 1000.0
static const double | Tc =537.68
static const double | Roc =197.60
static const double | To =300
static const double | R =82.99504
static const double | Gamma =9.611604E-6
static const double | u0 =3.4058439E5
static const double | s0 =1.1080254E3
static const double | Tp =400
static const double | Pc =2.6199E6
static const double | M =100.20
static const double | Ahept []
static const double | F []
static const double | D []
static const double | G []

## Detailed Description

representation of substance Heptane.

Values and functions are from "Thermodynamic Properties in SI" by W.C. Reynolds. AUTHOR: jrh@s.nosp@m.tanf.nosp@m.ord.e.nosp@m.du: GCEP, Stanford University

Definition in file Heptane.cpp.

## Variable Documentation

## ◆ Tmn

const double Tmn = 182.56
| static

Definition at line 20 of file Heptane.cpp.

## ◆ Tmx

const double Tmx = 1000.0
| static

Definition at line 21 of file Heptane.cpp.

## ◆ Tc

const double Tc =537.68
| static

Definition at line 22 of file Heptane.cpp.

## ◆ Roc

const double Roc =197.60
| static

Definition at line 23 of file Heptane.cpp.

## ◆ To

const double To =300
| static

Definition at line 24 of file Heptane.cpp.

## ◆ R

const double R =82.99504
| static

Definition at line 25 of file Heptane.cpp.

## ◆ Gamma

const double Gamma =9.611604E-6
| static

Definition at line 26 of file Heptane.cpp.

## ◆ u0

const double u0 =3.4058439E5
| static

Definition at line 27 of file Heptane.cpp.

## ◆ s0

const double s0 =1.1080254E3
| static

Definition at line 28 of file Heptane.cpp.

## ◆ Tp

const double Tp =400
| static

Definition at line 29 of file Heptane.cpp.

## ◆ Pc

const double Pc =2.6199E6
| static

Definition at line 30 of file Heptane.cpp.

## ◆ M

const double M =100.20
| static

Definition at line 31 of file Heptane.cpp.

## ◆ Ahept

const double Ahept[]
| static

Initial value:
= {
2.246032E-3,
2.082990E2,
5.085746E7,
3.566396E9,
1.622168E9,
1.065237E-5,
5.987922E-1,
7.736602,
1.929386E5,
5.291379E-9
}

Definition at line 34 of file Heptane.cpp.

## ◆ F

const double F[]
| static

Initial value:
= {
-7.2298764,
3.8607475E-1,
-3.4216472,
4.6274432E-1,
-9.7926124,
-4.2058094E1,
7.5468678E1,
3.1758992E2
}

Definition at line 48 of file Heptane.cpp.

## ◆ D

const double D[]
| static

Initial value:
= {
1.9760405E2,
8.9451237E2,
-1.1462908E3,
1.7996947E3,
-1.7250843E3,
9.7088329E2
}

Definition at line 60 of file Heptane.cpp.

## ◆ G

const double G[]
| static

Initial value:
= {
1.1925213E5,
-7.7231363E2,
7.4463527,
-3.0888167E-3,
0.0,
0.0
}

Definition at line 70 of file Heptane.cpp.